Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernatespatial.postgis
Class PostgisDialectNG

    java.lang.Object
      org.hibernate.dialect.Dialect
          org.hibernate.dialect.PostgreSQLDialect
              org.hibernatespatial.postgis.PostgisDialectNG

All Implemented Interfaces:
  org.hibernatespatial.SpatialDialect

    public class PostgisDialectNG

extends org.hibernate.dialect.PostgreSQLDialect
implements org.hibernatespatial.SpatialDialect

Extends the PostgreSQLDialect by also including information on spatial operators, constructors and processing functions.

Author:
  Karel Maesen

Field Summary

Fields inherited from class org.hibernate.dialect.Dialect
`CLOSED_QUOTE, DEFAULT_BATCH_SIZE, NO_BATCH, QUOTE`

Constructor Summary
`PostgisDialectNG()`

Method Summary
`org.hibernate.usertype.UserType` | `getGeometryUserType()`
`String` | `getSpatialFilterExpression(String columnName)`
`String` | `getSpatialRelateSQL(String columnName, int spatialRelation, boolean hasFilter)`

Methods inherited from class org.hibernate.dialect.PostgreSQLDialect
`bindLimitParametersInReverseOrder, dropConstraints, getAddColumnString, getCascadeConstraintsString, getCreateSequenceString, getCreateTemporaryTablePostfix, getCreateTemporaryTableString, getCurrentTimestampSelectString, getDropSequenceString, getForUpdateString, getIdentityColumnString, getIdentitySelectString, getLimitString, getNativeIdentifierGeneratorClass, getNoColumnsInsertString, getQuerySequencesString, getSelectClauseNullString, getSelectSequenceNextValString, getSequenceNextValString, getViolatedConstraintNameExtracter, hasDataTypeInIdentityColumn, isCurrentTimestampSelectStringCallable, supportsCommentOn, supportsCurrentTimestampSelection, supportsEmptyInList, supportsExpectedLobUsagePattern, supportsIdentityColumns, supportsLimit, supportsOuterJoinForUpdate, supportsSequences, supportsTemporaryTables, supportsUnionAll, toBooleanValueString, useInputStreamToInsertBlob`

Methods inherited from class org.hibernate.dialect.Dialect
`appendIdentitySelectToInsert, appendLockHint, applyLocksToSql, areStringComparisonsCaseInsensitive, bindLimitParametersFirst, buildSQLExceptionConverter, closeQuote, createCaseFragment, createOuterJoinFragment, doesReadCommittedCauseWritersToBlockReaders, doesRepeatableReadCauseReadersToBlockWriters, dropTemporaryTableAfterUse, forUpdateOfColumns, generateTemporaryTableName, getAddForeignKeyConstraintString, getAddPrimaryKeyConstraintString, getCastTypeName, getColumnComment, getCreateMultisetTableString, getCreateSequenceString, getCreateSequenceStrings, getCreateSequenceStrings, getCreateTableString, getCurrentTimestampSQLFunctionName, getDefaultProperties, getDialect, getDialect, getDropForeignKeyString, getDropSequenceStrings, getForUpdateNowaitString, getForUpdateNowaitString, getForUpdateString, getForUpdateString, getFunctions, getHibernateTypeName, getHibernateTypeName, getIdentityColumnString, getIdentityInsertString, getIdentitySelectString, getKeywords, getLimitString, getLockingStrategy, getLowercaseFunction, getMaxAliasLength, getNullColumnString, getResultSet, getSelectGUIDString, getTableComment, getTableTypeString, getTypeName, getTypeName, hasAlterTable, hasSelfReferentialForeignKeyBug, openQuote, performTemporaryTableDDLInIsolation, qualifyIndexName, quote, registerColumnType, registerColumnType, registerFunction, registerHibernateType, registerHibernateType, registerKeyword, registerResultSetOutParameter, supportsBindAsCallableArgument, supportsCascadeDelete, supportsCircularCascadeDeleteConstraints, supportsColumnCheck, supportsExistsInSelect, supportsIfExistsAfterTableName, supportsIfExistsBeforeTableName, supportsInsertSelectIdentity, supportsLimitOffset, supportsLobValueChangePropogation, supportsNotNullUnique, supportsParametersInInsertSelect, supportsPooledSequences, supportsResultSetPositionQueryMethodsOnForwardOnlyCursor, supportsRowValueConstructorSyntax, supportsRowValueConstructorSyntaxInInList, supportsSubqueryOnMutatingTable, supportsSubselectAsInPredicateLHS, supportsTableCheck, supportsUnboundedLobLocatorMaterialization, supportsUnique, supportsUniqueConstraintInCreateAlterTable, supportsVariableLimit, toString, transformSelectString, useMaxForLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PostgisDialectNG

    public PostgisDialectNG()

Method Detail

### getSpatialRelateSQL

    public String getSpatialRelateSQL(String columnName,
                                      int spatialRelation,
                                      boolean hasFilter)

  Specified by:
    `getSpatialRelateSQL` in interface `org.hibernatespatial.SpatialDialect`

### getSpatialFilterExpression

    public String getSpatialFilterExpression(String columnName)

  Specified by:
    `getSpatialFilterExpression` in interface `org.hibernatespatial.SpatialDialect`

### getGeometryUserType

    public org.hibernate.usertype.UserType getGeometryUserType()

  Specified by:
    `getGeometryUserType` in interface `org.hibernatespatial.SpatialDialect`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.